Questions tagged [versions]

Versions are sequence-based states of softwares, usually, they increment based on significant changes like bug fixes, implementation of new functionality or changes in the existing program.

Filter by
Sorted by
Tagged with
6
votes
2answers
5k views

used python -v instead of python -version command, to find the version of python in my pc. does it change anything?

I wanted to know which version of python is installed on my Xubuntu 16.04. But I typed python -v instead of python -V. It then started to import some files. Did this cause harm?
6
votes
2answers
14k views

How can I get the installed ALSA version?

How can I see what ALSA version is installed on my machine? I tried: $ alsa --version Usage: /sbin/alsa {unload|reload|force-unload|force-reload|suspend|resume}
6
votes
1answer
7k views

I have two versions of LibreOffice installed: how to remove the older one?

I think I updated the LibreOffice suite from 4.2 to 4.3 but in fact I have both installed in my Xubuntu 14.04. The Xfce menu: A seen above, the older version does not follow the system theme. ...
6
votes
1answer
4k views

apt-get cannot install specific version listed in apt-cache policy

I'm trying to install a particular version of redis-server from a third-party repo using apt-get, that's listed in apt-cache policy, but cannot be installed. For example: $ apt-cache policy redis-...
6
votes
4answers
728 views

Can I use every .deb file, whatever my Ubuntu version or architecture?

Sometimes I want to download programs that are not proposed in the Software Center but only on the developer's website, like for example World of Goo Demo. But the website proposes only one .deb ...
6
votes
0answers
2k views

Scrolling and display problem (bug?) in LibreOffice 3.6 and above [closed]

This problem started with a new version of LibreOffice, 3.6.2.2. (the one with the new green splash screen instead of the old white one) and continued up to the latest 4.x versions. My documents are ...
5
votes
8answers
15k views

Which version control system to use?

I am looking at using a version control system to ensure that I can go back in time to a particular version for all documents in ~, if I have to. What is the best suited tool for this given that: I ...
5
votes
2answers
1k views

list files not originating from packages

Many files are installed by packages on my file system. How could I list files that are not? Ie., user created, like compiling software manually, writing documents. Is there a way to list files that ...
5
votes
4answers
29k views

Which version of Ubuntu is best suited for a Pentium 4

The question is pretty self-explanatory. I have a 2.8Ghz, 1GB RAM PC at my office. Windows is really slow on it and the Android Emulator never works properly on it. I am sure that Linux will ...
5
votes
1answer
623 views

Does anyone know why does Ubuntu 11.10 use TeXLive 2009?

Many of my old examples for PGF plots do not work any more. I think the problem is due to this. Does anyone know why 11.10 use the old version of TeXLive?
5
votes
1answer
657 views

In the kernel package name “2.6.35-28-generic-pae”, what does the 28 mean?

2.6.35 simply relate to the kernel version, but it sounds that 28 is added by canonical, what does that means? What kind of changes occurs between 27 and 28? Thank you
5
votes
1answer
9k views

How to see what SDL version I have on my ubuntu

I am want to know what SDL version I have installed on my ubuntu Is there a terminal commend I can run to find out ??
5
votes
1answer
5k views

Revert Erlang OTP Version

I have upgraded my ubuntu to latest version. This automatically updated my erlang version from 5.10.2 to 5.10.4 i.e OTP 16R01 to OTP 16R03 $ erl +V Erlang (SMP,ASYNC_THREADS) (BEAM) emulator version ...
5
votes
1answer
13k views

Plasma 5.13 in Kubuntu 18.04?

Plasma 5.13 is said to have better Kwin performance and many other improvements. Can it be installed and can it run in Kubuntu 18.04? The upgrade doesn't sound very abrupt, it should be from 5.12 to ...
5
votes
3answers
2k views

how do I install latest version of svn

after running the command sudo apt-get install subversion and checking the version of svn using command svn --version the version was 1.9. But the latest version is 1.11. How should I get the ...
5
votes
2answers
2k views

Why (again) Ubuntu's recommended version (for 11.04) is 32bit, not 64bit? [duplicate]

Possible Duplicate: Why not use 64-bit Ubuntu? 11.04 is already available. But why 32bit is again recommended and what's "wrong" with x64 ? P.S. I know about this question, but this is kinda ...
5
votes
1answer
564 views

How does the Ubuntu kernel version relate to the upstream version?

On Oneiric, uname -r prints "3.0.0-14-generic". Does this mean that I am running an Ubuntu kernel based on the upstream (Linux) 3.0.0? Or is it actually based on Linux version 3.0.14? I have tried ...
5
votes
0answers
5k views

How can I know what version of ubuntu I'm running? [duplicate]

Possible Duplicate: How can I find the version of installed Ubuntu? I have recently installed ubuntu 11.04. My friend just asked me what beta I am using. How can I find out?
4
votes
1answer
23k views

What version of Ubuntu is most efficient and stable as a small-scale server? [closed]

I have a fairly old desktop with a Pentium 4 and 1GB of RAM. I use it as a TeamSpeak server and to browse the web, not a lot of heavy-duty stuff, although I am considering building a website, in which ...
4
votes
2answers
16k views

How to install latest calibre (any package) on Ubuntu?

If I am installing calibre with apt-get, it installs version 1.25 # sudo apt-show-versions calibre calibre:all/trusty 1.25.0+dfsg-1build1 uptodate while it's current version is 2.6. Is it possible ...
4
votes
2answers
5k views

Can I use an older version of LibreOffice?

Quantal has 3.6. I feel that the new version is heavier - at least for my specs. (Beside having this problem). How could I install an older version of LibreOffice?
4
votes
1answer
1k views

Why does Ubuntu 14.04 LTS use a non-LTS kernel version?

I only recently became aware that LTS wasn't just an Ubuntu thing - there's LTS kernel versions too. Yet the kernel version used (3.13) in Ubuntu 14.04 LTS is not an LTS kernel version. Is it ...
4
votes
1answer
9k views

Change disk ssd. How check which SATA version is supported?

I hava Lenovo g580 laptop. I want to change disk to SSD drive, but I'm not sure if my laptop support SATA 3 (6Gbps). I write following output: dmesg | grep SATA [ 3.190743] ahci 0000:00:1f.2: ...
4
votes
1answer
118 views

How do we know the version of a tool from command line on a remote server?

How can I know the version of texmaker running on a remote server?
4
votes
2answers
196 views

End of Standard Support and End of Life

What do these terms mean? End of Standard Support End of Life Does this mean that I can't use this specific Ubuntu version, or something else?
4
votes
2answers
3k views

On 14.04, my kernel version is 3.11.0-18?

After upgrading to 14.04, my kernel is not upgraded! it's like before: Linux Boxi 3.11.0-18-generic #32-Ubuntu SMP Tue Feb 18 21:11:14 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux Here's what I did: ...
4
votes
1answer
34k views

How to determine which version of gfortran is installed?

I have the gfortran, but I have been told that gfortran versions 4.2 and older lacked some f90 functionality. How do I determine which version is already installed? Also, can I install the latest ...
4
votes
1answer
9k views

PHP version on Ubuntu Server 14.04.4 LTS

I would like know what specific version of PHP is installed* on stated Ubuntu server. I have read that 14.04.4 upgraded to PHP 5.5, however I need to know if the PHP version is >=5.5.9. I have failed ...
4
votes
1answer
2k views

How to install multiple versions of the same package

Two pieces of software that I need on my system have dependencies for libfltk1.1-dev and libfltk1.3-dev. I tried installing both, as when I installed one, it would remove the other. So I typed this ...
4
votes
1answer
4k views

Gmail in Chrome: “This version of Chrome is no longer supported” [duplicate]

Lately, when I've used Gmail on Chrome (Version 46.0.2490.86, 64-bit) there's a yellow banner at the top that reads, "This version of Chrome is no longer supported. Please upgrade to a supported ...
4
votes
1answer
360 views

Which openstack version will be installed with juju?

I'm a newbie with MAAS and Juju, I'd like to know which openstack version will be installed with juju on MAAS ? Is it the latest version or can I choose my version ?
4
votes
1answer
1k views

Why doesn't Perl use latest version by default?

When I try to use new perl features (like "say" instead of "print") the code fails until I put in the line "use 5.014;" and then everything runs. My installed version of perl is 5.14.2, and it looks ...
4
votes
4answers
3k views

Are X.04 releases generally more stable than X.10 releases? [duplicate]

Possible Duplicate: What's the meaning of version numbering of ubuntu? I just noticed there are always two versions of Ubuntu, X.04 and X.10. Which is the best? Is it really that X.04 are ...
4
votes
3answers
179 views

What happens when there are 2 versions of a terminal command installed?

For example, I have OpenJDK 6 and 7 both installed. If I run javac foo.java will is compile my program as a Java 6 program or a Java 7 program?
4
votes
2answers
4k views

Can I safely uninstall older versions of Python after upgrading?

I upgraded to Ubuntu 14 and I see I have a number of Python folders .... Python 2.7 and so on up to Python 3.4 . Do I need to leave all the older ones alone or can they be deleted? I see that ...
4
votes
2answers
804 views

How can I find out my current gvfs version?

I would like to know the official version number of my gvfs install. However none of the gvfs tools seems to offer a -v option. Is there any other way?
4
votes
3answers
2k views

Is any version of Ubuntu compatible with Lenovo R60? [duplicate]

I have a legacy Lenovo R60 laptop running an Intel Core Solo T3100 (1.67MHz) processor currently running Windows XP (192mb RAM / 40GB HDD). My goal is to try and run Ubuntu on it using a pen-drive, so ...
4
votes
2answers
2k views

What version of syslog does Ubuntu 10.04.1 install default?

I am planning a rsyslog deployment for my department using Ubuntu 10.04.1 - I cannot seem to find which version of syslog Ubuntu installs by default in the documentation, syslog-ng, sysklogd, old ...
4
votes
1answer
2k views

Installing a previous version of a package when you don't have the .deb available?

Same question as how-to-downgrade-a-package-via-apt-get, except what if it's on a newly deployed server and the archived .deb is not there? For example, https://launchpad.net/ubuntu/precise/amd64/...
4
votes
1answer
14k views

Run different java based on command line parameter

I have multiple java installations on my machine and need to use different versions all the time. I have found that the currently used JVM can be changed by the commands update-alternatives and update-...
4
votes
1answer
2k views

how to change the path of an icon in the unity launcher

On previous versions of ubuntu, I used to add Thunderbird to the top menu bar so I could launch it quickly. Occasionally, I would want to use a more recent version of Thunderbird so I would download ...
3
votes
2answers
6k views

Installing Python 3.4 from source

I am running Xubuntu 13.10 i386 with the python (2.7) and python3 (3.3) packages installed. I have downloaded and compiled the source code for Python 3.4 but the binary file is named python. How can I ...
3
votes
2answers
213 views

What does this info mean when I fire `dpkg -l lxpanel`?

When trying to see the version of LXPanel and fire dpkg -l lxpanel, I get ~$ dpkg -l lxpanel Desired=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-...
3
votes
1answer
221 views

Non-UI differences between Ubuntu versions

I want to know the differences between Ubuntu 14.04 and Ubuntu 16.04, not graphical differences, but technical differences like this: In Ubuntu 16.04 the file /etc/rc.local isn't necessary but in ...
3
votes
1answer
5k views

How do I find out what version of upstart I have?

I'm trying to figure out if I should use User Jobs or Session Jobs, since Session Jobs are the proper way to do things from upstart 1.7 onward. I'm running Ubuntu 14.04. How do I find out what ...
3
votes
3answers
7k views

Installing latest version of Ubuntu without losing data

I have an Ubuntu version loaded. I want to install latest version without formatting and loss of data. Update Manager does not show upgradable version to install. If I download and install the latest ...
3
votes
2answers
9k views

Where can I find old versions of Acrobat Reader (<9.4) in deb form?

It turns out that apparently Adobe has disabled movie playback in newer versions (9.4 and up) of Acrobat Reader in Linux. Where can I find deb packages of older versions? The idea is to overwrite ...
3
votes
2answers
14k views

How to determine which version of Ubuntu desktop is installed [duplicate]

What command is used to determine which version of Ubuntu desktop is installed?
3
votes
1answer
195 views

Why don't Ubuntu package version numbers match version numbers in the rest of the space? [duplicate]

Ubuntu version numbers don't match the rest of the space, and it's not clear why they don't or how they actually work. For instance, there's openSSL 1.0.1n and 1.0.1f-1ubuntu9.8 What's the ...
3
votes
2answers
326 views

How to know what version of PHP is shipped in a release version?

Is there a page or Wiki listing for each Ubuntu release what is the default associated PHP version? 10.04 LTS => PHP 5.3.2 And so on...